Skip to main content
GET
Get a group

Path Parameters

realmId
string<uuid>
required

ID of your realm.

Format: UUID

organizationId
string<uuid>
required

ID of the organization that owns the group.

Format: UUID

groupId
string<uuid>
required

ID of the group.

Format: UUID

Response

Successful response

A group with its members' details.

id
string<uuid>
required

ID of the group.

Example:

"8ae5ee60-6ebe-4d85-a056-8c1387763478"

realm
string<uuid>
required

ID of the realm the group belongs to.

Example:

"f495ff0c-ab54-4f99-8e92-ca8682e4de9b"

organization
string<uuid>
required

ID of the organization the group belongs to.

Example:

"c4bd3f21-dfbd-44e8-8055-68ba15bed410"

name
string
required

Name of the group, unique within the organization (archived groups included).

Example:

"Finance approvers"

memberIds
string[]
required

IDs of the users in the group, in the order they were added.


Example: ["e3553bc1-5e20-4e17-b22a-a796fda0aa99"]

status
enum<string>
required

ACTIVE groups can be changed and used as approvers. ARCHIVED groups can still be read by ID, but are hidden from the list, can't be changed and can't be used as approvers. Archiving is permanent.

Available options:
ACTIVE,
ARCHIVED
Example:

"ACTIVE"

members
object[]
required

Details of each member, in memberIds order. A member who has since left the organization is omitted here but stays in memberIds.

description
string

Description of the group. Omitted, or empty, when the group has none.

Example:

"Approves payments above R$ 10,000"

createdBy
string

ID of the user or API client that created the group. May be absent on older groups.

Example:

"f1235202-71e0-49ef-a8ba-939b8d3ec945"

updatedBy
string

ID of the user or API client that last changed the group. May be absent on older groups.

Example:

"f1235202-71e0-49ef-a8ba-939b8d3ec945"

createdAt
string<date-time>

When the group was created.

Example:

"2026-10-02T13:27:41.512Z"

updatedAt
string<date-time>

When the group last changed.

Example:

"2026-10-09T17:05:12.034Z"